Last Comment Bug 820306 - chrome://messenger/skin/messenger.css uses invalid 'auto' value for padding-bottom property
: chrome://messenger/skin/messenger.css uses invalid 'auto' value for padding-b...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 17 Branch
: x86_64 Windows 7
: -- minor (vote)
: Thunderbird 20.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: 580455
  Show dependency treegraph
 
Reported: 2012-12-11 02:31 PST by Greg K.
Modified: 2012-12-16 16:05 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.03 KB, patch)
2012-12-11 11:24 PST, Richard Marti (:Paenglab)
mconley: review+
Details | Diff | Splinter Review

Description Greg K. 2012-12-11 02:31:17 PST
On startup, Thunderbird 17.0 shows a warning in the Error Console:

Error in parsing value for 'padding-bottom'. Declaration dropped.
chrome://messenger/skin/messenger.css, Line:401

The value in question, being set on the selector 'treechildren::-moz-tree-cell-text', is auto, which is not a valid value for padding-bottom. It must be a <padding-width> value type, which may take one of the following values <length> or <percentage>.
Comment 2 Richard Marti (:Paenglab) 2012-12-11 11:24:07 PST
Created attachment 690982 [details] [diff] [review]
patch

Thank you to file this bug. I saw this error also but forgot it then.
Comment 3 Greg K. 2012-12-11 13:02:19 PST
I think “initial” is also an invalid value for that property.
Comment 4 Richard Marti (:Paenglab) 2012-12-11 13:12:22 PST
"initial" is valid on every property; and also no error in console.
Comment 5 Greg K. 2012-12-11 13:29:35 PST
Okay, I believe you, but which CSS standard defines that value? It’s not present in CSS 2 or 3. Is that some Mozilla-custom value? If so, why is it not prefixed?
Comment 6 Richard Marti (:Paenglab) 2012-12-11 13:32:32 PST
It's CSS 3 and unprefixed since Gecko 19. See https://developer.mozilla.org/en-US/docs/CSS/initial
Comment 7 Mike Conley (:mconley) - (Needinfo me!) 2012-12-13 19:46:07 PST
Comment on attachment 690982 [details] [diff] [review]
patch

Checks out OK to me. Thanks Richard!
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-12-16 16:05:07 PST
https://hg.mozilla.org/comm-central/rev/a6e24ded8c28

Note You need to log in before you can comment on or make changes to this bug.